Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 536686 - Mendeley license change
Summary: Mendeley license change
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Licenses team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-15 10:29 UTC by Justin Lecher
Modified: 2020-01-25 10:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
new license (Mendeley-terms,19.09 KB, text/plain)
2015-01-15 10:30 UTC, Justin Lecher
Details
license in source archive (License.txt,12.22 KB, text/plain)
2015-01-16 08:47 UTC, Marius Brehler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2015-01-15 10:29:18 UTC
I would like to hear your opinion about the change in Mendeleys wording in their license. The original is "Mendeley-EULA", the new can be found as attachment.

Following to points need to be solved,

1. Is it still an EULA?
2. Are we now allowed to mirror.

1 ->

"We may revise these Terms of Use at any time by amending this page. You are expected to check this page from time to time to take notice of any changes we make, as they are binding on you."

that may make it to a EULA although the words EULA where removed from the actual text

2 ->
4.1.2 seems to allow it, if we (Gentoo) falls under 4.1 "...non-exclusive, personal, non-transferable license..."
Comment 1 Justin Lecher gentoo-dev 2015-01-15 10:30:14 UTC
Created attachment 394028 [details]
new license
Comment 2 Marius Brehler 2015-01-16 08:47:38 UTC
Created attachment 394078 [details]
license in source archive

Justin attached the updated license which is available via the mendeley homepage.

Further the tarball itself provides the binary identical files 'LICENSE' and 'share/doc/mendeleydesktop/License.txt'. This is similar but not identical, neither with the Mendeley-EULA nor with the updated license Justin attached.

Which one should be found in the /usr/portage/license folder?
Comment 3 Ulrich Müller gentoo-dev 2015-01-16 08:59:05 UTC
(In reply to Marius Brehler from comment #2)
> Created attachment 394078 [details]
> license in source archive

That's not a license.
Comment 4 Marius Brehler 2015-01-16 09:08:37 UTC
Okay, I just asked because this file is included as License.txt in the mendeley tarball. If it's not a license, only Justin's question has to be clarified.
Comment 5 Michael Weber (RETIRED) gentoo-dev 2015-01-25 15:40:48 UTC
+*mendeleydesktop-1.13.1 (25 Jan 2015)
+
+  25 Jan 2015; Michael Weber <xmw@gentoo.org>
+  +files/mendeleydesktop-fix-python3.patch, +mendeleydesktop-1.13.1.ebuild,
+  -mendeleydesktop-1.12.1.ebuild, -mendeleydesktop-1.12.4.ebuild, metadata.xml:
+  Version bump (bug 536656, thanks Andrés Becerra Sandoval, Marius Brehler &
+  Alexander), changed license file (bug 536686), adding myself as co-maintainer.
+
Comment 6 Michael Weber (RETIRED) gentoo-dev 2015-01-25 15:43:05 UTC
I've added the new file and droped the old one after removing the old ebuilds
Comment 7 Justin Lecher gentoo-dev 2015-01-25 15:53:13 UTC
+  25 Jan 2015; Justin Lecher <jlec@gentoo.org> license_groups:
+  Drop Mendeley-EULA and add Mendeley-terms to EULA group, #536686
+
Comment 8 Ulrich Müller gentoo-dev 2019-05-24 18:29:13 UTC
Are there still any issues open here, or could this bug be closed?